<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:focusableInTouchMode="false"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <include layout="@layout/navigationbar" />

    <FrameLayout
        android:id="@+id/frameLayout1"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@+id/linearLayout3"
        android:layout_below="@+id/navigation_bar">

        <epson.print.phlayout.PhotoPreview
            android:id="@+id/previewImageView"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

        <LinearLayout
            android:gravity="right|center_vertical|center_horizontal|center"
            android:id="@+id/linear_layout_papersize"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <ImageView
                android:id="@+id/icon_papermissmatch"
                android:background="@drawable/ic_exclamation"
                android:visibility="gone"
                android:layout_width="24dp"
                android:layout_height="24dp" />

            <TextView
                android:textSize="15sp"
                android:textStyle="bold"
                android:textColor="@color/epson_blue"
                android:id="@+id/btn_paper_size"
                android:background="@color/all_white"
                android:paddingLeft="1dp"
                android:paddingTop="0dp"
                android:paddingRight="1dp"
                android:paddingBottom="0dp"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="1dp"
                android:layout_marginRight="1dp"
                android:layout_marginBottom="1dp"
                android:text="@string/size" />
        </LinearLayout>

        <LinearLayout
            android:gravity="bottom"
            android:id="@+id/linear_layout_count"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <LinearLayout
                android:gravity="bottom"
                android:id="@+id/linearLayout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <LinearLayout
                    android:gravity="left|center_vertical|center_horizontal|center"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1">

                    <TextView
                        android:textSize="15sp"
                        android:textStyle="bold"
                        android:textColor="@color/all_black"
                        android:id="@+id/btn_photo_count"
                        android:paddingLeft="5dp"
                        android:paddingRight="5dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="5dp"
                        android:text="@string/page" />
                </LinearLayout>

                <ImageView
                    android:id="@+id/epsonColorImageView"
                    android:visibility="visible"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/eclogo_basic_black" />
            </LinearLayout>
        </LinearLayout>
    </FrameLayout>

    <LinearLayout
        android:orientation="horizontal"
        android:id="@+id/linearLayout3"
        android:background="@color/background_gallary"
        android:layout_width="match_parent"
        android:layout_height="70dp"
        android:layout_above="@+id/ln_toolbar">

        <Gallery
            android:id="@+id/gallery"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:spacing="1dp"
            android:layout_weight="1"
            android:unselectedAlpha="0.6" />

        <LinearLayout
            android:orientation="horizontal"
            android:background="@color/background_gallary_add"
            android:layout_width="wrap_content"
            android:layout_height="match_parent">

            <ImageButton
                android:layout_gravity="center_vertical"
                android:id="@+id/btn_add_photo"
                android:background="@color/all_transparent"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:layout_marginRight="10dp"
                android:src="@drawable/plus" />
        </LinearLayout>
    </LinearLayout>

    <RelativeLayout
        android:id="@+id/ln_toolbar"
        style="@style/FunctionBar">

        <LinearLayout
            android:orientation="horizontal"
            android:layout_width="wrap_content"
            android:layout_height="match_parent">

            <Button
                android:id="@+id/btn_deselect"
                android:text="@string/str_unselect"
                style="@style/FunctionButton.Normal" />

            <Button
                android:id="@+id/bt_rotate"
                android:text="@string/rotate_button"
                style="@style/FunctionButton.Normal" />
        </LinearLayout>

        <Button
            android:id="@+id/btn_print"
            android:text="@string/str_print"
            android:layout_alignParentRight="true"
            style="@style/FunctionButton.Execute" />
    </RelativeLayout>
</RelativeLayout>
